Bug 134420 - NullPointerException at java.util.Hashtable.put
NullPointerException at java.util.Hashtable.put
Status: VERIFIED FIXED
Product: groovy
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Petr Hejl
issues@groovy
http://statistics.netbeans.org/except...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-02 18:41 UTC by Lukas Jungmann
Modified: 2008-10-30 14:24 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Jungmann 2008-05-02 18:41:04 UTC
Build: NetBeans IDE Dev (Build 080502)
VM: Java HotSpot(TM) Client VM, 1.5.0_15-b04, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_15-b04
OS: Windows Vista, 6.0, x86

User comments:
-create new grails app
-run it

=> NPE
STACKTRACE: (first 10 lines)
java.lang.NullPointerException
        at java.util.Hashtable.put(Hashtable.java:396)
        at java.util.Properties.setProperty(Properties.java:128)
        at org.netbeans.modules.groovy.grails.api.ExecutionSupport.executeRunApp(ExecutionSupport.java:97)
        at
org.netbeans.modules.groovy.grailsproject.actions.RunGrailsServerCommandAction.actionPerformed(RunGrailsServerCommandAction.java:71)
        at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1849)
        at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2169)
        at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:420)
        at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:258)
        at javax.swing.AbstractButton.doClick(AbstractButton.java:302)
        at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1051)
Comment 1 martin_adamek 2008-05-03 04:32:08 UTC
Petre, can you have a look please?
Comment 2 Petr Hejl 2008-05-03 07:56:38 UTC
This was already fixed on Fri May 02 19:35:39 in changeset c7936d642cc6.
Comment 3 Lukas Jungmann 2008-06-24 15:13:13 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo